//
// Class for field grid
// (c) 10.4.2007 Ingo D. Rullhusen
//

#ifndef FIELDx_H
#define FIELDx_H


#include <complex>

#include "point.h"
#include "field.h"
#include "maindata.h"
#include "green.h"

using namespace std;


class FIELDx : public FIELD
{
   public:
      void E_inc( POINT p, complex<double> E[3] );
      void E_scatt( POINT p, complex<double> E[3] );

      void E_Jtotal_sum( GREEN grf, POINT p, complex<double> E[3] );

   private:
      void itpl( POINT p, int &no, int **index, double **ipf );
};


#endif
