/*
*  Routine for Gauss integration parameters
*  (c) 23.1.2006 Ingo D. Rullhusen
*/

#ifndef GAUSS_H
#define GAUSS_H


#ifndef NO_SMALL_CAPS

#ifdef NOF77_
#define GAUSS gauss
#else
#define GAUSS gauss_
#endif

#endif


#ifdef __cplusplus
extern "C" void GAUSS( int *n, double *w, double *x );
#else
void GAUSS( int *n, double *w, double *x );
#endif

      
#endif
