//
//  Constants in Si units
//  (c) 8.10.2002 Ingo D. Rullhusen
//

#ifndef NATCONST_H
#define NATCONST_H

#include <math.h>

const double C0 = 299792458.0;
const double MY0 = M_PI * 4.0e-7;
const double EPS0 = 1.0 / (MY0 * C0*C0);
const double ZF0 = MY0 * C0;

#endif
